.navbar {
    --search-font-size: 1.1em;
    --search-text-color: #333;
    --search-width: 400px;
    --search-height: 70px;
    --search-icon-1: 24px;
    --search-icon-2: 18px;
    --search-top: 14px;
    --search-left: 10px;
    --search-margin-top: 8px;
    --search-shadow-color: #d5dbed;
    --search-shadow: 0 6px 30px -10px var(--search-shadow-color);
    --search-shadow-2: 0 3px 20px -3px var(--search-shadow-color);
    --search-col3: #1462ff;
    --search-col1: #ff8c69;
    --search-col2: #ff696c;
    --search-col4: #f0f1f5;
}

@media (max-width: 420px) {
    .navbar .form-container {
        --search-width: 320px;
        --search-height: 60px;
        width: var(--search-width);
        height: var(--search-height);
    }
}

.form-container {
    opacity: 0;
    width: var(--search-width);
    height: var(--search-height);
    background: #fff;
    border-radius: 10px;
    box-shadow: var(--search-shadow);
    margin-bottom: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Mobile */
@media (max-width: 991px) {
    .form-container {
        opacity: 1;
        visibility: visible;
        position: relative;
        width: 100%;
        margin: 0;
        order: 2;
    }

    .search {
        display: none;
    }
}

/* Desktop */
@media (min-width: 992px) {
    .form-container {
        position: absolute;
        top: 100%;
        right: 0;
        z-index: 1001;
        opacity: 0;
        visibility: hidden;
        transform: translateY(-10px);
        transition: all 0.3s ease;
    }

    .form-container.toggled {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }
}

.form-tab {
    width: 95%;
    height: calc(var(--search-height) - 20px);
    display: flex;
    justify-content: center;
    align-items: center;
}


.search-field {
    width: 75%;
    height: calc(var(--search-height) - 20px);
    background: transparent;
    position: relative;
    border-radius: 6px;
    overflow: hidden;
    background: #eff4ff;
    outline: none;
    border: none;
}

.form-container .ri-search-2-line {
    position: absolute;
    top: var(--search-top);
    left: var(--search-left);
    z-index: 1;
    color: #6e80a5;
    opacity: 0.8;
    width: var(--search-icon-1);
    height: var(--search-icon-1);
}

.search-placeholder {
    position: absolute;
    top: 0;
    left: 42px;
    z-index: 1;
    color: #6e80a5;
    opacity: 0.8;
    font-size: calc(var(--search-font-size) / 1.1);
}



.search-form {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 3;
}

.text-field {
    width: 100%;
    height: 100%;
    background: transparent;
    font-size: var(--search-font-size);
    color: #3f3f3f;
    border: none;
    outline: none;
    padding: 5px 5px 5px 43px;
    caret-color: tint(var(--search-col3), 43%);
    line-height: 2em;
}

.search-btn {
    text-transform: uppercase;
    width: 25%;
    height: 40px;
    background: transparent;
    margin-top: 2px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.search-btn p {
    cursor: pointer;
    color: #222;
}

/* Search results page */
.search-wrapper {
    display: flex;
}

.search-results .site-content,
.search-no-results .site-content {
    padding-top: 7rem;
}

.search-results .page-title {
    text-wrap: pretty;
}

.search-results-post-inner {
    display: flex;
    flex-direction: column;
    gap: 1.15rem;
}

@media (min-width: 768px) {
    .search-results-post-inner {
        flex-direction: row;
        align-items: center;
    }
}

.search-results-post-inner a {
    text-align: center;
}

.search-results-post-title,
.search-results-post-title>a {
    color: #000;
    text-decoration: none;
    margin-top: 0;
}

.search-results-excerpt>p {
    margin: 0;
}


.search-results-posts-wrapper .entry-meta .posted-on>a {
    padding-right: 0.5rem;
}

.search-results-posts-wrapper .entry-meta .tag-wrapper {
    padding-left: 0.5rem;
}

.search-results .entry-meta,
.tag .entry-meta {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.search-results .site-main {
    padding-top: 1rem;
}

.search-post.type-post.status-publish,
.search-post.type-page.status-publish {
    padding-bottom: 2rem;
    margin-bottom: 4.5rem;
    border-bottom: 1px solid #ececec;
}

#primary .search-results-post-wrapper article:last-child {
    border: unset;
}

.results-found {
    font-weight: 600;
    font-size: 18px;
}

.search-results .post-thumbnail>img {
    border-radius: 1rem;
}


@media (min-width: 991px) {
    .search-results {
        flex-direction: row;
        align-items: center;
    }

    .search-results a {
        text-align: unset;
    }

    .search-results-post-inner {
        flex-direction: row;
    }
}